2018-03-11 09:19 PM - Marco Lechner

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.18.17 Regression?: No

Operating System: LInux Debian Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 26299

Description

Hi,

what I have done:

- loading a buildings layer (from OSM data)

- creating a map composition to create an atlas iterating over buildings with "type"='hotel'

- in the map composition adding a attribute table for the buildings layer with an expression based additional colum caclculating the

distance etween the hotel-record in the attribute table an the atlas-object

- setting the column as sort criteria for the attribute table

- setting feature filtering of the attribute table in map composer to a maximum rows of five (to only show the 5 nearest hotels around the

atlas feature hotel)

Expecting to see only the five nearest hotels around atlas feature (after eliminating the hotel with distance 0 which is the atlas feature

hotel

Instead I get the first five records in the table (which are always the same) sorted by the added column.

Expected behaviour is that the attribute table is sorted first and then limited. But QGIS seems to limit first (the unsorted table) and sort

then. Which is ok for an almost static table, but does conflict with virtual fields (columns) that are depending on atlas feature!

Marco

History

#1 - 2018-03-11 09:20 PM - Marco Lechner

- Affected QGIS version changed from 2.18.7 to 2.18.17

#2 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#3 - 2019-03-08 11:41 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closing for lack of feedback.
